Add this call's number to the account Do Not Call list
curl --request POST \
--url https://api.pineyard.ai/calls/{id}/do-not-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.pineyard.ai/calls/{id}/do-not-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/{id}/do-not-call"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"doNotCall": true,
"doNotCallAt": "<string>",
"sweptContacts": 123
}Calls
Add this call's number to the account Do Not Call list
POST
/
calls
/
{id}
/
do-not-call
Add this call's number to the account Do Not Call list
curl --request POST \
--url https://api.pineyard.ai/calls/{id}/do-not-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.pineyard.ai/calls/{id}/do-not-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/{id}/do-not-call"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"doNotCall": true,
"doNotCallAt": "<string>",
"sweptContacts": 123
}Required scope:
calls.edit
